VMTKCENTERLINEMERGE(1)

NAME
vmtkcenterlinemerge - vmtk script vmtkcenterlinemerge

DESCRIPTION
Automatic piping vmtkcenterlinemerge Parsing options vmtkcenterlinemerge

vmtkcenterlinemerge : merge centerline tracts belonging to the same

    groups

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Centerlines (vtkPolyData,1): the input centerlines

-ifile CenterlinesInputFileName (str,1): filename for the default

    Centerlines reader

-radiusarray RadiusArrayName (str,1);

    default=MaximumInscribedSphereRadius: name of the array where centerline radius is stored

-groupidsarray GroupIdsArrayName (str,1); default=GroupIds: name of

    the array where centerline group ids are stored

-centerlineidsarray CenterlineIdsArrayName (str,1);

    default=CenterlineIds: name of the array where centerline ids are stored

-tractidsarray TractIdsArrayName (str,1); default=TractIds: name of

    the array where centerline tract ids are stored

-blankingarray BlankingArrayName (str,1); default=Blanking: name of

    the array where centerline blanking information about branches is stored

-length Length (float,1) >= 0.0; default=0.0: length of the

    resampling interval

-mergeblanked MergeBlanked (bool,1); default=1: toggle generation

    of segments for blanked groups

-ofile CenterlinesOutputFileName (str,1): filename for the default

    Centerlines writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Centerlines (vtkPolyData,1): the output centerlines